# Asterisk Project : Asterisk 12 Function_SIPCHANINFO

Added by wikibot , edited by wikibot on Aug 29, 2013

# SIPCHANINFO()

### Synopsis

Gets the specified SIP parameter from the current channel.

### Description

### Syntax

    SIPCHANINFO(item)

##### Arguments

- `item`
  - `peerip` - The IP address of the peer.
  - `recvip` - The source IP address of the peer.
  - `from` - The SIP URI from the `From:` header.
  - `uri` - The SIP URI from the `Contact:` header.
  - `useragent` - The Useragent header used by the peer.
  - `peername` - The name of the peer.
  - `t38passthrough` - 1 if T38 is offered or enabled in this channel, otherwise 0.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown